/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.core;

import java.util.regex.Matcher;

def substituteVariable(env, str) {
    logger.FINEST { "Variable substitution input string: ${str}" };
    logger.FINEST { "Variable substitution environment: ${env}" };
        
    env.each {
        str = str.replaceAll('\\$\\{' + it.key + '\\}', Matcher.quoteReplacement(it.value));
    }
    
    return str;
}
