/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import groovy.rainmaker.logging.*;
import com.ibm.websphere.rainmaker.auditing.*;


def onList()
{

	def queryString = request.queryString[];
	def filter = [:];
	
	if(queryString != null) {
		def filterArray = queryString.tokenize("&");
		Pattern pattern = Pattern.compile("(.+)=(.+)");
		for(String f : filterArray) {
			Matcher matcher = pattern.matcher(f);
			if(matcher.matches()) {
				filter.put(matcher.group(1), matcher.group(2));
			}
		}
	}

	request.view = "JSON";
	request.json.output = AuditDataHelper.getAuditDataInJSON(filter, true);
	render();
}