/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.acl;

def type = event._name[].tokenize('-')[0] + 's';

logger.FINE { "Deleting all ACL entries for deleted resource (type: ${type}, id: ${event.id[]})..." };

deleteAllAccessControls(type, event.id[]);

logger.FINE { 'The resource\'s ACL was deleted.' };
