/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/
 
package groovy.rainmaker.appliance;

def createShutdown (mode) {
	
	def curTime = System.currentTimeMillis();
	
	// Commit a shutdown task.
    def createShutdownTask = [
       name : "Shutdown task: ${mode}",
       event: 'shutdown-appliance',
       actiontime: curTime,
       priority: -1
    ];
	
	def shutdown = [taskLang : user.lang[], mode : mode];
    
    logger.FINEST { "Creating Task ${createShutdownTask} ${shutdown}"};	
    createTask(createShutdownTask, shutdown);
}
